package pastes

import "time"

type PasteResponse struct {
	Status  int    `json:"status"`
	Error   bool   `json:"error"`
	Message string `json:"message"`
	Data    struct {
		ID        string    `json:"id"`
		Content   string    `json:"content"`
		CreatedAt time.Time `json:"createdAt"`
	} `json:"data"`
}

type Paste struct {
	Content            string     `json:"content"`
	Password           *string    `json:"password,omitempty"`
	ExpiresAt          *time.Time `json:"expiresAt,omitempty"`
	ExpireAfterViewing bool       `json:"expireAfterViewing"`
}
